﻿/*
 * CURP
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para obtener los datos de una 
 *   persona fisica a través de la CURP
 *
 * Datos requeridos:
 *   - CURP
 *
 * Datos retornados:
 *   - RFC
 *   - Nombre completo (Nombre | Primer apellido | Segundo apellido)
 *   - Genero
 *   - Fecha de nacimiento
 *   - etc
 */

using HyperSoft.Ejemplo.Utilerias;

namespace Curp
{
  class Program
  {
    static void Main(string[] args)
    {
      App.Initialization("CURP");

      if (Integrador.Validate() == false)
        return;

      const string Curp = "";

      if (string.IsNullOrEmpty(Curp))
      {
        const string Message = "{0}Debes editar este archivo y asignar la CURP a consultar (Línea 33){0}";
        Console.Write(Message);
        return;
      }

      string[,] parameters = {
        { "data", Curp },

        // Datos de autentificación proporcionados por www.facturando.mx
        { "user", Integrador.User },
        { "iduser", Integrador.IdUser},

        // Configuración de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        { "result", "1"},
        // Dar formato a la respuesta | 0 - No / 1 - Si
        { "prettyprint", "1"},
      };

      Console.Write(new WebService("curp.php").Send(parameters));
    }
  }
}
