﻿/*
 * ESTADO DE CUENTA
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como obtener el estado de cuenta de un integrador.
 *
 * Datos retornados:
 *   - Créditos adquiridos
 *   - Créditos consumidos
 *   - Créditos disponigles
 *   - Estatus del integrador
 */

using HyperSoft.Ejemplo.Utilerias;

namespace Facturando.Ejemplos.ValidarRfc
{
  class Program
  {
    static void Main(string[] args)
    {
      App.Initialization("Estado de cuenta");

      if (Integrador.Validate() == false)
        return;

      string[,] parameters = {
        // Datos de autentificación proporcionados por www.facturando.mx
        { "user", Integrador.User },
        { "iduser", Integrador.IdUser},

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        { "result", "1"},
        // Dar formato a la respuesta | 0 - No / 1 - Si
        { "prettyprint", "1"},
      };

      Console.Write(new WebService("estadocuenta.php").Send(parameters));
    }
  }
}
