﻿/*
 * LISTAS NEGRAS DEL SAT (art. 69 y 69B)
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para sabre si un RFC se encuentra
 *   registrado en las listas negras del SAT
 *
 * Datos requeridos:
 *   - RFC
 *
 * Datos retornados:
 *   - RFC
 *   - Nombre o razón social
 *   - Datos de la lista en donde se encuentra registrado
 */

using HyperSoft.Ejemplo.Utilerias;

namespace Facturando.Ejemplos.ValidarRfc
{
  class Program
  {
    static void Main(string[] args)
    {
      App.Initialization("Listas negras");

      if (Integrador.Validate() == false)
        return;

      const string Rfc = "";

      if (string.IsNullOrEmpty(Rfc))
      {
        const string Message = "{0}Debes editar este archivo y asignar el RFC a consultar (Línea 31){0}";
        Console.Write(Message);
        return;
      }

      string[,] parameters = {
        { "rfc", Rfc },

        // Datos de autentificación proporcionados por www.facturando.mx
        { "user", Integrador.User },
        { "iduser", Integrador.IdUser},

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        { "result", "1"},
        // Dar formato a la respuesta | 0 - No / 1 - Si
        { "prettyprint", "1"},
      };

      Console.Write(new WebService("efos.php").Send(parameters));

    }
  }
}
