﻿/*
 * RFC EXISTE
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para saber si un RFC cumple con
 *   la estructura requerida y existe en el SAT
 *
 * Datos requeridos:
 *   - RFC
 *
 * Datos retornados:
 *   - 0 -> NO existe
 *   - 1 -> SI existe
 */

using HyperSoft.Ejemplo.Utilerias;

namespace Facturando.Ejemplos.ValidarRfc
{
  class Program
  {
    static void Main(string[] args)
    {
      App.Initialization("RFC existe");

      if (Integrador.Validate() == false)
        return;

      const string Rfc = "";

      if (string.IsNullOrEmpty(Rfc))
      {
        const string Message = "{0}Debes editar este archivo y asignar el RFC a consultar (Línea 30){0}";
        Console.Write(Message);
        return;
      }

      string[,] parameters = {
        { "rfc", Rfc },
        
        // Datos de autentificación proporcionados por www.facturando.mx
        { "user", Integrador.User },
        { "iduser", Integrador.IdUser},

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        { "result", "1"},
        // Dar formato a la respuesta | 0 - No / 1 - Si
        { "prettyprint", "1"},
      };

      Console.Write(new WebService("rfcexiste.php").Send(parameters));
    }
  }
}
