﻿/*
 * VALIDAR CONTRIBUYENTE
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para verificar los datos de un
 *   contribuyente (CFDI 4.0)
 *
 * Datos requeridos:
 *   - RFC
 *   - Nombre
 *   - Código postal
 *
 * Datos retornados:
 *   *  0 -> El dato no es válido
 *   *  1 -> El dato es válido
 *   * -1 -> El dato no pudo se validado
 */

using HyperSoft.Ejemplo.Utilerias;

namespace Facturando.Ejemplos.ValidarRfc
{
  class Program
  {
    static void Main(string[] args)
    {
      App.Initialization("Validar contribuyente");

      if (Integrador.Validate() == false)
        return;

      const string Rfc = "";
      const string Nombre = "";
      const string CodigoPostal = "";

      if (string.IsNullOrEmpty(Rfc) || string.IsNullOrEmpty(Nombre) || string.IsNullOrEmpty(CodigoPostal))
      {
        const string Message = "{0}Debes editar este archivo y asignar el RFC, nombre y código postal{0}del contribuyente consultar (Línea 33 - 35){0}";
        Console.Write(Message);
        return;
      }

      string[,] parameters = {
        { "rfc", Rfc },
        { "nombre", Nombre },
        { "cp", CodigoPostal },
        
        // Datos de autentificación proporcionados por www.facturando.mx
        { "user", Integrador.User },
        { "iduser", Integrador.IdUser},

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        { "result", "1"},
        // Dar formato a la respuesta | 0 - No / 1 - Si
        { "prettyprint", "1"},
      };

      Console.Write(new WebService("validarcontribuyente.php").Send(parameters));
    }
  }
}
