{
 * ESTADO DE CUENTA
 * ================================================================================
 *
 * Descripcin:
 *   Ejemplo que muesta como obtener el estado de cuenta de un integrador.
 *
 * Datos retornados:
 *   - Crditos adquiridos
 *   - Crditos consumidos
 *   - Crditos disponigles
 *   - Estatus del integrador
 }

program Estado_Cuenta;

{$APPTYPE CONSOLE}

uses
  SysUtils, Classes, 
  HyperSoft.Ejemplo.Utilerias.Console in '..\Utils\HyperSoft.Ejemplo.Utilerias.Console.pas',
  HyperSoft.Ejemplo.Utilerias.Integrador in '..\Utils\HyperSoft.Ejemplo.Utilerias.Integrador.pas',
  HyperSoft.Ejemplo.Utilerias.WebService in '..\Utils\HyperSoft.Ejemplo.Utilerias.WebService.pas',
  uConsole in '..\Utils\uConsole.pas';

var
  rfcConsultar, nombre, codigoPostal : string;
  parameters : TStringList;
  webService : TWebService;
  result : string;

begin
  TConsole.Instance.Init('Estado de cuenta');

  // Verificamos si los datos del integrador han sido proporcionados
  if (TIntegrador.Instance.Validate() = false) Then
    exit;

  parameters := TStringList.Create();
  webService := TWebService.Create('estadocuenta.php');
  try
    // Datos de autentificacin proporcionados por www.facturando.mx
    parameters.Values['user']    := TIntegrador.Instance.User;
    parameters.Values['iduser']  := TIntegrador.Instance.IdUser;

    // Congiuracion de la respuesta
    // Formato de la respuesta | Opcional | 1 - JSON
    parameters.Values['result'] := '1';

    // Dar formato a la respuesta | 0 - No / 1 - Si
    parameters.Values['prettyprint'] := '1';

    // Realizamos la consulta al web service pasandole los parmetros
    result := webService.Send(parameters);

    // Mostramos el resultado de la conssulta en pantalla
    TConsole.Instance.Write(result);
  finally
    FreeAndNil(webService);
    FreeAndNil(parameters);
  end;
end.
