{
 * LISTAS NEGRAS DEL SAT (art. 69 y 69B)
 * ================================================================================
 *
 * Descripcin:
 *   Ejemplo que muestra como consumir el web service para sabre si un RFC se encuentra
 *   registrado en las listas negras del SAT
 *
 * Datos requeridos:
 *   - RFC
 *
 * Datos retornados:
 *   - RFC
 *   - Nombre o razn social
 *   - Datos de la lista en donde se encuentra registrado
 }

program Listas_Negras;

{$APPTYPE CONSOLE}

uses
  SysUtils, Classes, 
  HyperSoft.Ejemplo.Utilerias.Console in '..\Utils\HyperSoft.Ejemplo.Utilerias.Console.pas',
  HyperSoft.Ejemplo.Utilerias.Integrador in '..\Utils\HyperSoft.Ejemplo.Utilerias.Integrador.pas',
  HyperSoft.Ejemplo.Utilerias.WebService in '..\Utils\HyperSoft.Ejemplo.Utilerias.WebService.pas',
  uConsole in '..\Utils\uConsole.pas';

var
  rfcConsultar : string;
  parameters : TStringList;
  webService : TWebService;
  result : string;

begin
  TConsole.Instance.Init('Listas negras');

  if (TIntegrador.Instance.Validate() = false) Then
    exit;

  rfcConsultar := '';

  if (rfcConsultar = EmptyStr) Then
    Begin
      TConsole.Instance.Write('{0}Debes editar este archivo y asignar el RFC a consultar (Lnea 41){0}');
      exit;
    end;

  parameters := TStringList.Create();
  webService := TWebService.Create('efos.php');
  try
    parameters.Values['rfc'] := rfcConsultar;

    // Datos de autentificacin proporcionados por www.facturando.mx
    parameters.Values['user']    := TIntegrador.Instance.User;
    parameters.Values['iduser']  := TIntegrador.Instance.IdUser;

    // Congiuracion de la respuesta
    // Formato de la respuesta | Opcional | 1 - JSON
    parameters.Values['result'] := '1';

    // Dar formato a la respuesta | 0 - No / 1 - Si
    parameters.Values['prettyprint'] := '1';

    // Realizamos la consulta al web service pasandole los parmetros
    result := webService.Send(parameters);

    // Mostramos el resultado de la conssulta en pantalla
    TConsole.Instance.Write(result);
  finally
    FreeAndNil(webService);
    FreeAndNil(parameters);
  end;
end.
