unit HyperSoft.Ejemplo.Utilerias.Console;

interface

uses
  uConsole;


type
  TConsole = Class(TObject)
  Private
    ftitle : string;
    fFreq, fStart, fStop: Int64;
    consoleForm : TConsoleForm;

    Procedure ShowTimeElapsed();
  Public
    Procedure Init(const title : string);
    Procedure Write(mensaje : string);
    Constructor Create();

    class function Instance() : TConsole;
  end;


Var
  instanciaConsole : TConsole = Nil;

implementation

uses
  SysUtils, StrUtils, Windows;

{ TConsole }

constructor TConsole.Create;
begin
  consoleForm := TConsoleForm.Create();
end;

procedure TConsole.Init(const title: string);
begin
  ftitle := '-= Facturando | Web service Validar RFC | ' + title + ' =-';

  QueryPerformanceFrequency(fFreq);
  QueryPerformanceCounter(fStart);

  consoleForm.SetWindowTitle(ftitle);
end;

class function TConsole.Instance: TConsole;
begin
  result := HyperSoft.Ejemplo.Utilerias.Console.instanciaConsole;
end;

procedure TConsole.ShowTimeElapsed;
var
  elapsed : Integer;
  text : string;
begin
  QueryPerformanceCounter(fStop);

  elapsed := Round((fStop - fStart)/fFreq*1000);
  If elapsed < 0 Then
    elapsed := 0;

  text := FormatFloat(' Tiempo: #,##0 milisegundos', elapsed);

  consoleForm.SetWindowTitle(ftitle + text);
end;

procedure TConsole.Write(mensaje: string);
begin
  ShowTimeElapsed();

  if AnsiContainsText(mensaje, '{0}') Then
    mensaje := StringReplace(mensaje, '{0}', sLineBreak, [rfReplaceAll, rfIgnoreCase]);

  consoleForm.WriteTextLine(mensaje);
  consoleForm.SetCursorTo(0, 0);
  readln;
end;

initialization
  If Not Assigned(HyperSoft.Ejemplo.Utilerias.Console.instanciaConsole) Then
    instanciaConsole := HyperSoft.Ejemplo.Utilerias.Console.TConsole.Create();

finalization
  FreeAndNil(HyperSoft.Ejemplo.Utilerias.Console.instanciaConsole);


end.
