unit HyperSoft.Ejemplo.Utilerias.Integrador;

interface

type
  TIntegrador = Class(TObject)
   Private
    fUser   : string;
    fIdUser : string;
  Public
    Property User   : string read fUser write fUser;
    Property IdUser : string read fIdUser write fIdUser;

    Function Validate() : Boolean;
    constructor Create;

    class function Instance() : TIntegrador;
  end;


Var
  instanciaIntegrador: TIntegrador = Nil;

implementation

uses
  SysUtils
  , HyperSoft.Ejemplo.Utilerias.Console;

{ TIntegrador }

constructor TIntegrador.Create;
begin
  User := '';
  IdUser := '';
end;

class function TIntegrador.Instance: TIntegrador;
begin
  result := HyperSoft.Ejemplo.Utilerias.Integrador.instanciaIntegrador;
end;

function TIntegrador.Validate: Boolean;
var
  mensaje : string;
begin
  if ((User = EmptyStr) or (IdUser = EmptyStr)) Then
    Begin
      mensaje :=
          '{0}Debes asignar el USER y IDUSER en el archivo "Integrador.pas", en caso{0}' +
          'de no contar con estos datos, puedes solicitarlos enviando un correo a{0}' +
          'contacto@facturando.mx con los siguientes datos de tu empresa:{0}{0}' +
          '- RFC{0}' +
          '- Nombre del contacto{0}' +
          '- Telefono de contacto';

      TConsole.Instance.Write(mensaje);
      result := false;
      exit;
    end;

  result := true;
end;

initialization
  If Not Assigned(HyperSoft.Ejemplo.Utilerias.Integrador.instanciaIntegrador) Then
    instanciaIntegrador := HyperSoft.Ejemplo.Utilerias.Integrador.TIntegrador.Create();

finalization
  FreeAndNil(HyperSoft.Ejemplo.Utilerias.Integrador.instanciaIntegrador);


end.
