<?php

/*
 * CONTRIBUYEMTE
 * ====================================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para obtener los datos de un contribuyente
 *
 * Datos requeridos:
 *   - RFC a consultar
 *   - ID CIF del RFC a consultar
 *
 * Datos retornados:
 *   - Nombre o razon social
 *   - Código postal
 *   - Régimen fiscal
 *   - Personas físicas (CURP, fecha de nacimiento, fecha de nacimiento, correo electrónico, etc)
 *   - Personas morales (fecha de constitución, correo electrónico, etc)
 */

include './include/CurlFacturando.php';
include './include/Integrador.php';

$rfcConsultar = '';
$idCif = '';

if (empty($rfcConsultar) || empty($idCif)) {
    $message = PHP_EOL . "Debes editar este archivo y asignar el RFC y el IDCIF a consultar (Línea 25 - 26)" . PHP_EOL;
    exit($message);
}

$params = [
    // RFC a consultar
    'rfc' => $rfcConsultar,
    'idcif' => $idCif,

    // Datos de autentificación proporcionados por www.facturando.mx
    'user' => $user,
    'iduser' => $iduser,

    // Configuración de la respuesta
    // Formato de la respuesta | Opcional | 1 - JSON
    'result' => 1,
    // Dar formato a la respuesta | 0 - No / 1 - Si
    'prettyprint' => 1
];

$curl = new CurlFacturando('contribuyente.php');
echo $curl->execute($params);
