<?php

/*
 * CURP
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para obtener los datos de una
 *   persona fisica a través de la CURP
 *
 * Datos requeridos:
 *   - CURP
 *
 * Datos retornados:
 *   - RFC
 *   - Nombre completo (Nombre | Primer apellido | Segundo apellido)
 *   - Genero
 *   - Fecha de nacimiento
 *   - etc
 */

include './include/CurlFacturando.php';
include './include/Integrador.php';

$curp = '';

if (empty($curp)) {
    $message = PHP_EOL . "Debes editar este archivo y asignar la CURP a consultar (Línea 25)" . PHP_EOL;
    exit($message);
}

$curl = new CurlFacturando('curp.php');

try{

    $params = [
        // CURP a consultar
        'data' => $curp,

        // Datos de autentificación proporcionados por www.facturando.mx
        'user' => $user,
        'iduser' => $iduser,

        // Configuración de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        'result' => 1,
        // Dar formato a la respuesta | 0 - No / 1 - Si
        'prettyprint' => 1
    ];

    echo $curl->execute($params);
} catch (Exception $e) {
    $message = sprintf('Se generó un error al consumir el web service (%d | %s)', $e->getMessage(), $e->getCode());
    exit($message);
}
