<?php

/*
 * LISTAS NEGRAS DEL SAT (art. 69 y 69B)
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para conocer si un RFC se encuentra
 *   registrado en las listas negras del SAT
 *
 * Datos requeridos:
 *   - RFC
 *
 * Datos retornados:
 *   - RFC
 *   - Nombre o razón social
 *   - Datos de la lista en donde se encuentra registrado
 */

include './include/CurlFacturando.php';
include './include/Integrador.php';

$rfc = '';

if (empty($rfc)) {
    $message = PHP_EOL . "Debes editar este archivo y asignar el RFC a consultar (Línea 23)" . PHP_EOL;
    exit($message);
}

$curl = new CurlFacturando('efos.php');

try{

    $params = [
        // RFC a consultar
        'rfc' => $rfc,

        // Datos de autentificación proporcionados por www.facturando.mx
        'user' => $user,
        'iduser' => $iduser,

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        'result' => 1,
        // Dar formato a la salida | 0 - No / 1 - Si
        'prettyprint' => 1
    ];

    echo $curl->execute($params);
} catch (Exception $e) {
    $message = sprintf('Se generó un error al consumir el web service (%d | %s)', $e->getMessage(), $e->getCode());
    exit($message);
}
