<?php

/*
 * ESTADO DE CUENTA
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como obtener el estado de cuenta de un integrador.
 *
 * Datos retornados:
 *   - Créditos adquiridos
 *   - Créditos consumidos
 *   - Créditos disponigles
 *   - Estatus del integrador
 */

include './include/CurlFacturando.php';
include './include/Integrador.php';

$curl = new CurlFacturando('estadocuenta.php');

try{

    $params = [
        // Datos de autentificación proporcionados por www.facturando.mx
        'user' => $user,
        'iduser' => $iduser,

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        'result' => 1,
        // Dar formato a la salida | 0 - No / 1 - Si
        'prettyprint' => 1
    ];

    echo $curl->execute($params);
} catch (Exception $e) {
    $message = sprintf('Se generó un error al consumir el web service (%d | %s)', $e->getMessage(), $e->getCode());
    exit($message);
}
