<?php

final class CurlFacturando
{
    public static $UrlBase = 'https://facturaelectronicagratis.mx/validarrfc/v1/';
    private $url;

    /**
     * @param string $resource
     */
    public function __construct($resource)
    {
        $this->url = CurlFacturando::$UrlBase . $resource;
    }

    /**
     * @param array $post
     * @return string
     * @throws Exception
     */
    public function execute(array $post)
    {
        $curl = curl_init($this->url);

        try {
            curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

            if ($this->isWindows()) {
                curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
            }

            $result = curl_exec($curl);

            if (curl_errno($curl)) {
                throw new Exception(curl_strerror(curl_errno($curl)), curl_errno($curl));
            }

            return $result;
        } finally {
            curl_close($curl);
        }
    }

    private function isWindows()
    {
        return strncasecmp(PHP_OS, 'WIN', 3) == 0;
    }
}