<?php

/*
 * RFC EXISTE
 * ================================================================================
 *
 * Descripción:
 *   Ejemplo que muesta como consumir el web service para saber si un RFC cumple con
 *   la estructura requerida y existe en el SAT
 *
 * Datos requeridos:
 *   - RFC
 *
 * Datos retornados:
 *   - 0 -> NO existe
 *   - 1 -> SI existe
 */

include './include/CurlFacturando.php';
include './include/Integrador.php';

$rfc = '';

if (empty($rfc)) {
    $message = PHP_EOL . "Debes editar este archivo y asignar el RFC a consultar (Línea 22)" . PHP_EOL;
    exit($message);
}

$curl = new CurlFacturando('rfcexiste.php');

try {
    $params = [
        // RFC a consultar
        'rfc' => $rfc,

        // Datos de autentificación proporcionados por www.facturando.mx
        'user' => $user,
        'iduser' => $iduser,

        // Congiuracion de la respuesta
        // Formato de la respuesta | Opcional | 1 - JSON
        'result' => 1,
        // Dar formato a la salida | 0 - No / 1 - Si
        'prettyprint' => 0
    ];

    echo $curl->execute($params);
} catch (Exception $e) {
    $message = sprintf('Se generó un error al consumir el web service (%d | %s)', $e->getMessage(), $e->getCode());
    exit($message);
}
