﻿'
' * CONTRIBUYEMTE
' * ====================================================================================================
' *
' * Descripción:
' *   Ejemplo que muesta como consumir el web service para obtener los datos de un contribuyente
' *
' * Datos requeridos:
' *   - RFC a consultar
' *   - ID CIF del RFC a consultar
' *
' * Datos retornados:
' *   - Nombre o razon social
' *   - Código postal
' *   - Régimen fiscal
' *   - Personas físicas (CURP, fecha de nacimiento, fecha de nacimiento, correo electrónico, etc)
' *   - Personas morales (fecha de constitución, correo electrónico, etc)
' 

Imports HyperSoft.Ejemplo.Utilerias

' ReSharper disable InconsistentNaming
Module Program

  Sub Main()
    App.Initialization("Contribuyente")

    If Integrador.Validate() = False Then
      Return
    End If

    Const RfcConsultar As String = ""
    Const IdCif As String = ""

    If String.IsNullOrEmpty(RfcConsultar) OrElse String.IsNullOrEmpty(IdCif) Then
      Const Message As String = "{0}Debes editar este archivo y asignar el RFC y el IDCIF a consultar (Línea 33-34){0}"
      Console.Write(Message)
      Return
    End If

    Dim parameters As String(,) = {
          {"rfc", RfcConsultar},
          {"idcif", IdCif},
          {"user", Integrador.User}, 
          {"iduser", Integrador.IdUser},
          {"result", "1"}, ' Formato de la respuesta | Opcional | 1 - JSON
          {"prettyprint", "1"} ' Dar formato a la respuesta | 0 - No / 1 - Si
        }

    Console.Write(New WebService("contribuyente.php").Send(parameters))


  End Sub

End Module
' ReSharper restore InconsistentNaming