﻿'
' * CURP
' * ================================================================================
' *
' * Descripción:
' *   Ejemplo que muesta como consumir el web service para obtener los datos de una 
' *   persona fisica a través de la CURP
' *
' * Datos requeridos:
' *   - CURP
' *
' * Datos retornados:
' *   - RFC
' *   - Nombre completo (Nombre | Primer apellido | Segundo apellido)
' *   - Genero
' *   - Fecha de nacimiento
' *   - etc
' 
Imports HyperSoft.Ejemplo.Utilerias

' ReSharper disable InconsistentNaming
Module Program

  Sub Main()

    App.Initialization("CURP")

    If Integrador.Validate() = False Then
      Return
    End If

    Const Curp As String = ""

    If String.IsNullOrEmpty(Curp) Then
      Const Message As String = "{0}Debes editar este archivo y asignar la CURP a consultar (Línea 33){0}"
      Console.Write(Message)
      Return
    End If

    Dim parameters As String(,) = {
      {"data", Curp},      
      {"user", Integrador.User},
      {"iduser", Integrador.IdUser},
      {"result", "1"}, ' Formato de la respuesta | Opcional | 1 - JSON
      {"prettyprint", "1"} ' Dar formato a la respuesta | 0 - No / 1 - Si
    }

    Console.Write(New WebService("curp.php").Send(parameters))

  End Sub

End Module
' ReSharper restore InconsistentNaming