﻿'
' * LISTAS NEGRAS DEL SAT (art. 69 y 69B)
' * ================================================================================
' *
' * Descripción:
' *   Ejemplo que muesta como consumir el web service para sabre si un RFC se encuentra
' *   registrado en las listas negras del SAT
' *
' * Datos requeridos:
' *   - RFC
' *
' * Datos retornados:
' *   - RFC
' *   - Nombre o razón social
' *   - Datos de la lista en donde se encuentra registrado
' 

Imports HyperSoft.Ejemplo.Utilerias

' ReSharper disable InconsistentNaming
Module Program

  Sub Main()

    App.Initialization("RFC existe")

    If Integrador.Validate() = False Then
      Return
    End If

    Const Rfc As String = ""

    If String.IsNullOrEmpty(Rfc) Then
      Const Message As String = "{0}Debes editar este archivo y asignar el RFC a consultar (Línea 30){0}"
      Console.Write(Message)
      Return
    End If

    Dim parameters As String(,) = {
      {"rfc", Rfc},      
      {"user", Integrador.User},
      {"iduser", Integrador.IdUser},
      {"result", "1"}, ' Formato de la respuesta | Opcional | 1 - JSON
      {"prettyprint", "1"} ' Dar formato a la respuesta | 0 - No / 1 - Si
    }

    Console.Write(New WebService("rfcexiste.php").Send(parameters))

  End Sub

End Module
