﻿'
' * VALIDAR CONTRIBUYENTE
' * ================================================================================
' *
' * Descripción:
' *   Ejemplo que muesta como consumir el web service para verificar los datos de un
' *   contribuyente (CFDI 4.0)
' *
' * Datos requeridos:
' *   - RFC
' *   - Nombre
' *   - Código postal
' *
' * Datos retornados:
' *   *  0 -> El dato no es válido
' *   *  1 -> El dato es válido
' *   * -1 -> El dato no pudo se validado
' 
Imports HyperSoft.Ejemplo.Utilerias

' ReSharper disable InconsistentNaming
Module Program

  Sub Main()

    App.Initialization("Validar contribuyente")

    If Integrador.Validate() = False Then
      Return
    End If

    Const Rfc As String = ""
    Const Nombre As String = ""
    Const CodigoPostal As String = ""

    If String.IsNullOrEmpty(Rfc) OrElse String.IsNullOrEmpty(Nombre) OrElse String.IsNullOrEmpty(CodigoPostal) Then
      Const Message As String = "{0}Debes editar este archivo y asignar el RFC, nombre y código postal{0}del contribuyente consultar (Línea 33 - 35){0}"
      Console.Write(Message)
      Return
    End If


    Dim parameters As String(,) = {
      {"rfc", Rfc},
      {"nombre", Nombre},
      {"cp", CodigoPostal},
      {"user", Integrador.User},
      {"iduser", Integrador.IdUser},
      {"result", "1"}, ' Formato de la respuesta | Opcional | 1 - JSON
      {"prettyprint", "1"} ' Dar formato a la respuesta | 0 - No / 1 - Si
    }

    Console.Write(New WebService("validarcontribuyente.php").Send(parameters))

  End Sub

End Module
